Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MotionStabilizer Class Reference

class/function that tries to stabilize the robot in such a way that no forces other then gravity act on the center of mass (or wherever the acceleration sensor is placed). More...

`#include <MotionStabilizer.h>`

Inheritance diagram for MotionStabilizer:

[legend]
Collaboration diagram for MotionStabilizer:

[legend]
List of all members.

## Public Member Functions
| MotionStabilizer ()
bool | stabilize (MotionRequest::MotionID lastMotionType, const MotionRequest &motionRequest, JointData &jointData, OdometryData &odometryData, const SensorDataBuffer &sensorDataBuffer)
| takes all parameters used to generate a motion and alters the joint datas in order to stabilize the motion
## Public Attributes
PIDsmoothedValue | accelX
PIDsmoothedValue | accelY
PIDsmoothedValue | accelZ
PIDsmoothedValue | xFore
PIDsmoothedValue | xHind
PIDsmoothedValue | yLeft
PIDsmoothedValue | yRight
double | stabilizerScale

## Detailed Description

class/function that tries to stabilize the robot in such a way that no forces other then gravity act on the center of mass (or wherever the acceleration sensor is placed).

idea is to stabilize walking movement of the robot.

Author:
  Jan Hoffmann

Definition at line 29 of file MotionStabilizer.h.

## Constructor & Destructor Documentation

MotionStabilizer::MotionStabilizer | ( |  | ) |

| Definition at line 11 of file MotionStabilizer.cpp.

## Member Function Documentation

bool MotionStabilizer::stabilize | ( | MotionRequest::MotionID | lastMotionType,
|  | const MotionRequest & | motionRequest,
|  | JointData & | jointData,
|  | OdometryData & | odometryData,
|  | const SensorDataBuffer & | sensorDataBuffer
| ) |

  | takes all parameters used to generate a motion and alters the joint datas in order to stabilize the motion Todo: this is no parameter documentation! Parameters:
  lastMotionType |
  motionRequest |
  jointData |
  odometryData |
  sensorDataBuffer |
Returns: true if successfull Definition at line 23 of file MotionStabilizer.cpp. References accelX, accelY, accelZ, PIDsmoothedValue::approximateVal(), JointData::data, SensorData::data, SensorDataBuffer::frame, PIDsmoothedValue::getVal(), SensorDataBuffer::numOfFrames, MotionRequest::stabilize, stabilizerScale, xFore, xHind, yLeft, and yRight. Referenced by GT2005MotionControl::execute().

Here is the call graph for this function:

## Member Data Documentation

PIDsmoothedValue MotionStabilizer::accelX

| Definition at line 55 of file MotionStabilizer.h. Referenced by stabilize().

PIDsmoothedValue MotionStabilizer::accelY

| Definition at line 55 of file MotionStabilizer.h. Referenced by stabilize().

PIDsmoothedValue MotionStabilizer::accelZ

| Definition at line 55 of file MotionStabilizer.h. Referenced by stabilize().

PIDsmoothedValue MotionStabilizer::xFore

| Definition at line 55 of file MotionStabilizer.h. Referenced by stabilize().

PIDsmoothedValue MotionStabilizer::xHind

| Definition at line 55 of file MotionStabilizer.h. Referenced by stabilize().

PIDsmoothedValue MotionStabilizer::yLeft

| Definition at line 55 of file MotionStabilizer.h. Referenced by stabilize().

PIDsmoothedValue MotionStabilizer::yRight

| Definition at line 55 of file MotionStabilizer.h. Referenced by stabilize().

double MotionStabilizer::stabilizerScale

| Definition at line 58 of file MotionStabilizer.h. Referenced by stabilize().

The documentation for this class was generated from the following files:

- Modules/MotionControl/MotionStabilizer.h
- Modules/MotionControl/MotionStabilizer.cpp